IF OBJECT_ID('RC_CLI_FIDELI_PONTOS_DEBITO_PDV_VD_IT') IS NULL

BEGIN
CREATE TABLE [dbo].[RC_CLI_FIDELI_PONTOS_DEBITO_PDV_VD_IT](
	[CD_CTR_PONTOS] [int] NOT NULL,
	[CD_EMP] [int] NOT NULL,
	[CD_FILIAL] [int] NOT NULL,
	[CD_VD] [int] NOT NULL,
	[CD_IT] [int] NOT NULL,
 CONSTRAINT [PK_RC_CLI_FIDELI_PONTOS_DEBITO_PDV_VD_IT] PRIMARY KEY CLUSTERED 
(
	[CD_CTR_PONTOS] ASC,
	[CD_EMP] ASC,
	[CD_FILIAL] ASC,
	[CD_VD] ASC,
	[CD_IT] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[RC_CLI_FIDELI_PONTOS_DEBITO_PDV_VD_IT]  WITH CHECK ADD  CONSTRAINT [FK_RC_CLI_FIDELI_PONTOS_DEBITO_PDV_VD_IT_PDV_VD_IT] FOREIGN KEY([CD_EMP], [CD_FILIAL], [CD_VD], [CD_IT])
REFERENCES [dbo].[PDV_VD_IT] ([CD_EMP], [CD_FILIAL], [CD_VD], [CD_IT])

ALTER TABLE [dbo].[RC_CLI_FIDELI_PONTOS_DEBITO_PDV_VD_IT] CHECK CONSTRAINT [FK_RC_CLI_FIDELI_PONTOS_DEBITO_PDV_VD_IT_PDV_VD_IT]

ALTER TABLE [dbo].[RC_CLI_FIDELI_PONTOS_DEBITO_PDV_VD_IT]  WITH CHECK ADD  CONSTRAINT [FK_RC_CLI_FIDELI_PONTOS_DEBITO_PDV_VD_IT_RC_CLI_FIDELI_PONTOS_DEBITO] FOREIGN KEY([CD_CTR_PONTOS])
REFERENCES [dbo].[RC_CLI_FIDELI_PONTOS_DEBITO] ([CD_CTR_PONTOS])

ALTER TABLE [dbo].[RC_CLI_FIDELI_PONTOS_DEBITO_PDV_VD_IT] CHECK CONSTRAINT [FK_RC_CLI_FIDELI_PONTOS_DEBITO_PDV_VD_IT_RC_CLI_FIDELI_PONTOS_DEBITO]
END

